The Language of Ujuian
======================

Natively known as Uju /ˈudʒu/

Copyright & Licensing
---------------------

You can redistribute and/or modify this file under the terms of the 
GNU General Public License as published by the Free Software 
Foundation, either version 3 of the License, or at your option) any 
later version.

This file makes use of International Phonetic Alphabet: 
<https://en.wikipedia.org/wiki/International_Phonetic_Alphabet>

Uju is written in a left-to-right pattern, from the top to the bottom of
the page. The alphabet uses the Latin script.

Phonology
---------

### Phonological Inventory

Consonant inventory: /b dʒ h k l m n q r s v w x ð ħ ɣ ʃ ʔ ʕ θ/

+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+------------+---------+
| ↓Manner/Place→      | Dental | Bilabial | Labiodental | Alveolar | Postalveolar | Velar | Labio-velar | Uvular | Pharyngeal | Glottal |
+=====================+========+==========+=============+==========+==============+=======+=============+========+======================+
| Stop                |        | b        |             |          |              | k     |             | q      |            | ʔ       |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+
| Nasal               |        | m        |             | n        |              |       |             |        |            |         |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+
| Affricate           |        |          |             |          | dʒ           |       |             |        |            |         |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+
| Fricative           | θ ð    |          | v           | s        | ʃ            | x ɣ   |             |        | ħ          | h       |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+
| Approximant         |        |          |             |          |              |       | w           |        | ʕ          |         |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+
| Trill               |        |          |             | r        |              |       |             |        |            |         |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+
| Lateral approximant |        |          |             | l        |              |       |             |        |            |         |
+---------------------+--------+----------+-------------+----------+--------------+-------+-------------+--------+----------------------+

Vowel inventory: /a e i u ɨ ʊ/

Diphthongs: None

Vowel Chart:

+-----------+-------+------------+---------+-----------+------+
|           | Front | Near-front | Central | Near-back | Back |
+===========+=======+============+=========+===========+======+
| High      | i     |            | ɨ       |           | u    |
+-----------+-------+------------+---------+-----------+------+
| Near-high |       |            |         | ʊ         |      |
+-----------+-------+------------+---------+-----------+------+
| High-mid  |       | e          |         |           |      |
+-----------+-------+------------+---------+-----------+------+
| Mid       |       |            |         |           |      |
+-----------+-------+------------+---------+-----------+------+
| Low-mid   |       |            |         |           |      |
+-----------+-------+------------+---------+-----------+------+
| Near-Low  |       |            |         |           |      |
+-----------+-------+------------+---------+-----------+------+
| Low       |       |            | a       |           |      |
+-----------+-------+------------+---------+-----------+------+

Syllable structure: Up to three consonants before and after a vowel: 
(C)(C)(C)V(C)(C)(C)

Word stress: No fixed stress

Word initial consonants: b, dʒ, h, k, l, m, n, q, r, s, v, w, x, ð, 
                         ɣ, ʃ, θ

Mid-word consonants:     b, bl, dʒ, h, hw, k, ks, kw, l, m, mb, n, 
                         nh, nl, ns, nv, r, rk, rm, rs, s, v, w, x, 
                         ð, ɣ, ʃ, ʔ, θ

Word final consonants:   b, dʒ, h, l, n, r, s, w, x, ð, ɣ, ʃ, ʔ, θ

Phonological rules (in order of application):

* 'h' turns into 'g' before a 'b'.

### Grammar

Sentence order: Sentence order is Subject-Verb-Object-Oblique.

Adjectives: Adjectives (and modifying nouns) occur to the left of 
the noun.

Gender in nouns: Nouns have no gender.

Adpositions: Postpositions. The preferential order of postpositional 
phrases is Time-Manner-Place:

> "I am travelling on Monday [time] by car [manner] to Seoul [place]."